%define upstream_name	 Xmms
%define upstream_version 0.12

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:	Perl modules to control and configure XMMS
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/~dougm/%{upstream_name}-Perl-%{upstream_version}/
Source0:	http://search.cpan.org/CPAN/authors/id/D/DO/DOUGM/%{upstream_name}-Perl-%{upstream_version}.tar.gz

BuildRequires:	perl-devel
BuildRequires:  xmms-devel

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}

%description
This package provides the following modules:

 Xmms::Remote - Perl interface to the xmms_remote API

 Xmms::Config - Perl interface to the xmms_cfg API

 Xmms - Exports the remote control shell routine

 Xmms::Plugin - Embeds a Perl interpreter inside xmms and provides
                Input/Output/Effect/General plugin interfaces for
                Perl (not yet released, may never be)

%prep
%setup -q -n %{upstream_name}-Perl-%{upstream_version}

%build
perl Makefile.PL
%make

%install
rm -Rf %{buildroot}
%makeinstall_std INSTALLSITEARCH=%perl_vendorarch INSTALLSITEMAN3DIR=%{_mandir}/man3

%clean
rm -Rf %{buildroot}

%files
%defattr(-,root,root)
%doc README
%dir %{perl_vendorarch}/auto/%{upstream_name}
%{perl_vendorarch}/auto/%{upstream_name}/*
%{perl_vendorarch}/%{upstream_name}*
%{perl_vendorarch}/*/%{upstream_name}.pm
%{_mandir}/man?/*


%changelog
* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 0.120.0-2mdv2011.0
+ Revision: 556193
- rebuild for perl 5.12

* Sat Feb 13 2010 Jérôme Quelin <jquelin@mandriva.org> 0.120.0-1mdv2010.1
+ Revision: 505338
- rebuild using %%perl_convert_version

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 0.12-11mdv2010.0
+ Revision: 430668
- rebuild

* Fri Aug 01 2008 Thierry Vignaud <tv@mandriva.org> 0.12-10mdv2009.0
+ Revision: 258884
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.12-9mdv2009.0
+ Revision: 246789
- rebuild

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 0.12-7mdv2008.1
+ Revision: 152434
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.12-6mdv2008.0
+ Revision: 87114
- rebuild


* Wed Sep 06 2006 Buchan Milne <bgmilne@mandriva.org> 0.12-5mdv2007.0
- Rebuild

* Tue Oct 04 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.12-4mdk
- Fix BuildRequires

* Mon Oct 03 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.12-3mdk
- Fix BuildRequires

* Tue Sep 20 2005 Buchan Milne <bgmilne@linux-mandrake.com> 0.12-2mdk
- first Mandriva package

